<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	if (!isset($HEADER_CLASS_HTML_ELT)):
		$HEADER_CLASS_HTML_ELT=1;

	// Une classe pour grer les lments de formulaire
	// avec une spcialisation de classe par type d'lment
	class HTMLelt {
		
		var	$name;	// Le nom de l lment
		var	$val;	// sa valeur
		var	$code;	// le code HTML correspondant

		// Constructeur
		function HTMLelt($name, $valeur="")
		{
			$this->name	= $name;
			if ($valeur != "")
					$this->val	= $valeur;
			else	$this->val	= stripslashes($GLOBALS[$name]);
			$this->code	= "";
		}

		// Gnration 'normale'
		function normal()
		{
			return $this->code;
		}

		// gnration cache
		function hidden()
		{
			return 
				sprintf("<input type=\"hidden\" name=\"%s\" value=\"%s\">",
						$this->name, $this->val);
					
		}
	}

	// Element texte
	class HEtext extends HTMLelt {

		function HEtext($name, $value="", $args="")
		{
			$this->HTMLelt($name, $value);

			$this->code = sprintf("<input type=\"text\" name=\"%s\" $args",
									$this->name);
			if ($this->val != "")
				$this->code .= sprintf(" value=\"%s\"", $this->val);
			$this->code .= ">";
		}
	}

	// Element select
	class HEselect extends HTMLelt {

		function HEselect($name, $options, $value="", $args="")
		{
			$this->HTMLelt($name, $value);

			$this->code = sprintf("<select name=\"%s\"", $this->name);
			if ($this->val != "")
				$this->code .= sprintf(" value=\"%s\"", $this->val);
			$this->code .= " $args>\n";
			reset($options);
			while (list($key, $val) = each($options))
			{
				$this->code .= "<option value=\"$key\"";
				if (($this->val != "") && ($this->val == $key))
					$this->code .= " selected";
				$this->code .= ">$val</option>\n";
			}
			$this->code .= "</select>\n";
		}
	}

	// Element MultiSelect
	class HEmultiSelect extends HTMLelt {

		function HEmultiSelect($name, $options, $value="", $args="")
		{
			$this->HTMLelt($name, $value);

			$this->code = sprintf("<select multiple name=\"%s\"", $this->name);
			if ($this->val != "")
				$this->code .= sprintf(" value=\"%s\"", $this->val);
			$this->code .= " $args>\n";
			reset($options);
			while (list($key, $val) = each($options))
			{
				$this->code .= "<option value=\"$key\"";
				if (($this->val != "") && ($this->val == $key))
					$this->code .= " selected";
				$this->code .= ">$val</option>\n";
			}
			$this->code .= "</select>\n";
		}
	}


	// Element textarea
	class HEtextarea extends HTMLelt {

		function HEtextarea($name, $params, $value="")
		{
			$this->HTMLelt($name, $value);

			$this->code = sprintf("<textarea name=\"%s\"", $this->name);
			reset($params);
			while (list($key, $val) = each($params))
				$this->code .= " $key=$val";
			$this->code .= ">";
			if ($this->val != "")
				$this->code .= $this->val;
			$this->code .= "</textarea>";
		}
	}

	// Element radios
	class HEradios extends HTMLelt {

		function HEradios($name, $options, $value="")
		{
			$this->HTMLelt($name, $value);

			reset($options);
			while (list($key, $val) = each($options))
			{
				$this->code .= sprintf("<input type=radio name=\"%s\" value=\"%s\"",
									  $this->name, $key);
				if (($this->val != "") && ($this->val == $key))
					$this->code .= " checked";
				$this->code .= "> $val\n";
			}
		}
	}

	// Checkbox
	class HEcheckbox extends HTMLelt {

		function HEcheckbox($name, $value="")
		{
			$this->HTMLelt($name, $value);

			$this->code .= sprintf("<input type=checkbox name=\"%s\" value=\"1\"",
									  $this->name);
			if ($this->val != "")
				$this->code .= " checked";
			$this->code .= ">\n";
		}
	}
	
	endif;	// isset()
?>
