<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<title>
Mmmm !!! Les cartes des restos
</title>
<?
	require "lib_misc.php3";
	echo StyleSheet('../../css/admin.css');
?>
</head>
<body>
<h1>Mmmm !!!<br>
Associer image et resto</h1>
<?
	if ($instructions == ""):
?>
Cette page sert  ajouter une carte de resto scanne dans la base. En fait, on
ne la rajoute pas dans la base mais dans le rpertoire cartes, dans le
sous-rpertoire initiale du nom du resto. Ex : le fichier <tt>thai_yien.jpg</tt>
associ au resto Tha&iuml; Yien devra &ecirc;tre copi dans le rpertoire
<tt>cartes/t</tt>. Pour assurer une meilleure rpartition des images, on retire
les articles devant les noms des restos (l'image du resto 'Au petit Budapest'
est petit_budapest.jpg, celle du resto 'La brouette' est brouette.jpg).<br>
Dans le formulaire ci-dessous, on inscrit ligne  ligne les nouvelles 
associations resto-image sous la forme
<i>IdentifiantDuResto</i>:<i>NomDuFichierImage</i>. Ex : 1:brouette.jpg. 
L'envoi de ce formulaire associe au resto le nom du fichier qui contient sa
carte scanne.

<form action="script_associe_image.php3" method="post"> 
<textarea name="instructions" cols=80 rows=5>
</textarea>
<input type="submit" value="Traiter">
</form>
<?
	else:

	require "class_restobd.php3";

	$rb		= new restoBd();

	$liste	= split("\r", $instructions);

	// Pour chaque ligne reprsentant une instruction
	for ($c=0; $c<sizeof($liste); $c++)
	{
		if (ereg("([0-9]+):([a-z0-9_\.]+)", $liste[$c], $tab))
		{
			$id		= $tab[1];
			$image	= $tab[2];
			$resto	= $rb->GetRestoById($id);
			printf ("Le resto %s ($id) est maintenant associ  son image &lt;$image&gt;\n",
					$resto['nom']);
			$rb->BindImage($id, $image);
			echo lien("/scripts/script_detail_resto.php3?id=$id", '(vrifier)'), "<br>\n";
		}
	}

	endif;
?>
<br>
<br>
<?
	echo lien('../index.html', 'Retour');
?>

</body>
</html> 
