<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<title>
Mmmm !!! : Quoi de neuf ?
</title>
<? 
	require "lib_misc.php3";
	echo StyleSheet('../../css/admin.css');
?>
</head>
<body>
<h1>Mmmm !!!<br>
Quoi de neuf ?</h1>
<br><br>
<h2>Nouveaux restos</h2>
<?
	require "const_resto.php3";
	require "class_data.php3";
	require "class_restobd.php3";
	require "class_commentairebd.php3";

	// Cration d'un handler de resto et de commentaires
	$rb = new restoBd();
	$cb	= new commentaireBd();

	// Rcupration de la liste des nouveaux restos
	$nb = $rb->GetRestosEnAttente();

	if ($nb == 0)
	{
		echo "Pas de nouveaux restos !\n";
	}
	else
	{
		// Lecture des restos un par un
		for ($r=0; $r<$nb; $r++)
		{
			// Rcupration du resto
			$resto	= $rb->GetRestoResult('tempo');

			// et de l'expditeur
			$cb->GetCommentairesSurResto($resto['id'], 'tempA');
			$comm	= $cb->GetCommentaireResult();

			// Cration d'un objet de donne pour le resto
			// et le commentaire
			$ODr	= new DataObject($resto, 'assoc');
			$ODc	= new DataObject($comm, 'assoc');

			// Une date lisible
			$date	= DateTimeToFr($ODr->get('date_entree'));
			
			printf("<li> %s : %s propos par <b>%s</b>\n", 
					$date, $resto['nom'], $comm['pseudo']);
			printf("<a href=\"%s?step=first&ID=%s\">%s</a>\n"
			  	  ."<a href=\"%s?ID=%s\">%s</a>\n"
			  	  ."<a href=\"%s?id=%s&base=tempo&retour=%s\">%s</a>\n",
					"script_check_resto.php3", $ODr->get('id'),
					img("../icones/add.png", "ADD"),
					"script_add_resto.php3", $ODr->get('id'),
					img("../icones/mod.png", "MOD"),
					"script_del_resto.php3", $ODr->get('id'),
					urlencode($PHP_SELF),
					img("../icones/del.png", "DEL"));
		}
	}	
?>
<h2>Nouveaux commentaires</h2>
<?
	require "class_commentaire.php3";

	$nb	= $cb->GetCommentairesEnAttente();	

	// S'il y en a pas...
	if ($nb == 0)
	{
		echo "Pas de  nouveaux commentaires !\n";
	}
	else
	{
		// Lecture des commentaires un par un
		for ($r=0; $r<$nb; $r++)
		{
			// Rcupration du commentaire
			$comm	= $cb->GetCommentaireResult();

			// Cration de l'objet data contenant les infos du 
			// commentaire
			$ODc	= new Commentaire($comm);

			// et du resto associ
			$resto	= $rb->GetRestoById($ODc->get('resto_id'));

			// Une date lisible
			$date	= DateTimeToFr($ODc->get('date_entree'));

			printf("<li> %s : Commentaire sur <i>%s</i> par <b>%s</b>\n", 
					$date, $resto["nom"], $ODc->get('pseudo'));
			printf(" <a href=\"%s?step=first&ID=%s\">%s</a>",
					'script_check_comment.php3', $ODc->get('id'),
					img("../icones/add.png", 'ADD'));
			printf(" <a href=\"%s?ID=%s\">%s</a>",
					'script_add_comment.php3', $ODc->get('id'),
					img("../icones/mod.png", 'MOD'));
			printf(" <a href=\"%s?id=%s&base=tempo\">%s</a>",
					'script_del_comment.php3', $ODc->get('id'),
					img('../icones/del.png', 'DEL'));
		}
	}
?>
<br>
<br>
<center>
<?
	echo lien('../index.html', 'retour');
?>
</center>
</body>
</html> 
