<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<? 
	require "lib_misc.php3";
	echo StyleSheet('../../css/admin.css');
?>
<title>
Mmmm ! un nouveau resto !
</title>
</head>
<body>
<h1>Mmmm !<br>
Un nouveau resto !</h1>
<?
	require "class_resto.php3";
	require "class_restobd.php3";
	require "class_commentaire.php3";
	require "class_commentairebd.php3";

	// Si on vient de la page add_resto
	// on a pu modifier des champs et alors il faut prendre en compte
	// ces infos et non celles de la base
	if (isset($id) && ($id != ""))
	{
		$resto	= new Resto();
		$comm	= new Commentaire();
	}
	else
	{
		$rb		= new restoBd();
		$rt		= $rb->GetRestoById($ID, 'temp');
		$cb		= new commentaireBd();
		$ct		= $cb->GetCommentaireById($ID, 'tempA');

		$resto	= new Resto($rt);
		$comm	= new Commentaire($ct);
	}

	// Si c'est la premire tape 
	// de vrification du formulaire...
	if ($step == 'first')
	{
		echo "<h2>Remarques</h2>\n";
		// Si les champs principaux sont renseigns
		if (($resto->infosOk()) && ($comm->infosOk()))
		{
			// Si pas d'erreur
			echo "Merci d'avoir rempli consciencieusement ce formulaire<br>\n";

			// Intitul des boutons de formulaires
			$submit1	= "Envoyer !";
			$submit2	= "Faire une modification";

			// On teste les warnings
			if ((is_array($resto->warnings())) || (is_array($comm->warnings())))
			{
				echo "Infos manquantes :<br>\n";
				echo "<ul>\n";
				
				// warnings dus au resto
				if (is_array($resto->warnings()))
				{
					$warns = $resto->warnings();
					for ($i=0; $i<count($warns); $i++)
						echo "<li>", $warns[$i], "\n";
				}
				// et dus au commentaire
				if (is_array($comm->warnings()))
				{
					$warns = $comm->warnings();
					for ($i=0; $i<count($warns); $i++)
						echo "<li>", $warns[$i], "\n";
				}

				echo "</ul>\n";

				$submit1	= "Envoyer tout de m&ecirc;me";
				$submit2	= "Complter les infos manquantes";
			}

			// Affichage du resto propos
			echo "<h2>Votre resto</h2>\n";
			$resto->printDetail();

			// Et des infos de l'expditeur
			echo "<h2>Et vous</h2>\n";
			$comm->printDetail();

			// Envoyer tel quel
			echo "<table border=0><tr><td>";
			echo "<form action=\"script_check_resto.php3\" method=\"post\">\n";
			echo $resto->hidden() . $comm->hidden();
			echo "<input type=hidden name=step value=done>\n";
			echo "<input type=hidden name=ID value=$ID>\n";
			echo "<input type=submit value=\"$submit1\">\n";
			echo "</form>\n";

			// Modifier les infos
			echo "</td><td>";
			echo "<form action=\"script_add_resto.php3\" method=\"post\">\n";
			echo $resto->hidden() . $comm->hidden();
			echo "<input type=submit value=\"$submit2\">\n";
			echo "</form>\n";
			echo "</td></tr></table>\n";

			// Retour au sommaire
			echo lien('sommaire', 'Retour au sommaire');
		}
		// Il y a des erreurs
		else
		{
			// Rcupration des erreurs
			echo "Infos manquantes :<br>\n";
			echo "<ul>\n";

			// Erreurs dues au resto
			if ($resto->infosOk() == false)
			{
				$errs = $resto->errors();
				for ($i=0; $i<count($errs); $i++)
					echo "<li>", $errs[$i], "\n";
			}

			// Erreurs dues au commentaire
			if ($comm->infosOk() == false)
			{
				$errs = $comm->errors();
				for ($i=0; $i<count($errs); $i++)
					echo "<li>", $errs[$i], "\n";
			}
			echo "</ul>\n";

			// Affichage du resto propos
			echo "<h2>Votre resto</h2>\n";
			$resto->printDetail();

			// Et des infos de l'expditeur
			echo "<h2>Et vous</h2>\n";
			$comm->printDetail();

			// Modifier les infos
			echo "<form action=\"script_add_resto.php3\" method=\"post\">\n";
			echo "<input type=hidden name=\"step\" value=\"add\">\n";
			echo "<input type=hidden name=admin value=1>\n";
			echo "<input type=hidden name=id value=$id>\n";
			echo $resto->hidden();
			echo $comm->hidden();
			echo "<input type=submit value=\"Complter les infos manquantes\">\n";
			echo "</form>\n";

			// Retour au sommaire
			echo lien('sommaire', 'Retour au sommaire');
		}

	}
	// Si on vient d'ajouter un resto...
	elseif ($step == 'done')
	{
		require "class_restobd.php3";
		require "class_commentairebd.php3";
		require "class_HTMLelts.php3";

		// Ajout dans le resto de la date et l'heure du jour
		$resto->set('date_entree', date("YmdHis"));
		$comm->set('date_entree', date("YmdHis"));

		// Utilisation de la base de donnes
		$rb		= new restoBd();
		$cb		= new commentaireBd();

		// On retient son identifiant dans la base temporaire
		if ($resto_id != "")
				$temp_id = $resto_id;
		else	$temp_id = $id;

		// Ajout dans la base de production
		$r_id	= $rb->AddResto($resto->data(), 'prod');
		$comm->set('resto_id', $r_id);
		$cb->AddCommentaire($comm->data(), 'prod');

		// On retire le resto de la base temporaire
		$rb->DeleteResto($temp_id, 'tempo');
		// et le commentaire associ
		$cb->DeleteCommentaire($temp_id, 'tempA');

		echo "<h2>Tout roule...</h2>\n";
		if ($comm->get("e_mail") != "")
		{
			echo "Ne pas oublier d'envoyer un e-mail  ", 
				$comm->get('pseudo'), " (", $comm->get('e_mail'), ")<br>\n";
			echo "du genre :<br>\n";
			echo "<pre><font size=+2>\n";
			echo "To: ", $comm->get('e_mail'), "\n\n";
			echo "Subject: Mmmmerci !!!\n";
			echo "Salut ", $comm->get('pseudo'), ",\n";
			echo "Merci pour '";
			echo $resto->get('nom'), "'.\n";
			echo "Il est maintenant disponible  l'adresse :\n";
			echo "http://mmmm.free.fr/scripts/script_detail_resto.php3?id=", $r_id, "\n\n";
			echo "A bient&ocirc;t !\n";
			echo "===================================\n";
			echo "=   ,     Mmmm !!!\n";
			echo "=  (   /  \n";
			echo "=   ) /   e-mail: mmmm@free.fr\n";
			echo "= (__@)   web: http://mmmm.free.fr\n";
			echo "===================================\n";
			echo "</font></pre>\n";

			echo "Pour envoyer le mail, c'est ";
			echo lien('http://webmail.free.fr', 'ici', 'target="blank"');
			echo " (ouverture dans une nouvelle fen&ecirc;tre)<br><br>\n";
		}
		// Retour au sommaire
		// ou  la liste des nouveaux restos
		echo "[ ", lien('sommaire', 'retour au sommaire'), " ] [ ",
			 lien('script_check_new.php3', 'page des nouveaux restos'), " ]";	
	}


?>
</body>
</html> 
