<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<?
	// Includes
	require "class_restobd.php3";
	require "class_commentairebd.php3";

	// test sur la base
	switch ($base)
	{
		case 'prod':
			$baseC = 'prod';
			break;
		case 'tempo':
			$baseC = 'tempA';
			break;
		default:
			echo "script_del_resto erreur dans switch($where)...\n";
			exit;
	}

	// Premire tape 
	if ($step == ""):

		// Rcupration des infos sur le resto  virer
		$rb		= new restoBd();
		$resto	= $rb->GetRestoById($id, $base);

		// Et le(s) commentaire(s) associ(s) tant que l'on y est
		$cb		= new commentaireBd();
		$cl		= $cb->GetCommentairesSurResto($id, $baseC);
		$comm	= $cb->GetCommentaireResult();

?>
<html>
<head>
<title>
<?
	echo "Suppression du resto ", $resto['nom'];
?>
</title>
<?
	require "lib_misc.php3";
	echo StyleSheet("../../css/admin.css");
?>
</head>
<body>
<h1>Mmmm !!!<br>
Suppression de resto</h1>
<h2>Attention !!!</h2>
&Ocirc; Administrateur, tu es sur le point de supprimer le resto :<br>
<pre><font size=+2>
<?
	echo $resto['nom'], "\n";
	echo $resto['adresse'], ", ", $resto['telephone'], "\n";
	echo "M ", $resto['metro'], "\n";
?>
</pre>
propos par l'aimable 
<?
	echo $comm['pseudo'], "\n";	
?>
<h2>Ton choix est crucial</h2>
<?
	echo lien("$retour?admin=1", "Retour");
	echo ' ';
	echo lien("script_del_resto.php3?id=$id&base=$base&step=done&retour="
				.urlencode($retour), "Supprimer le resto");
?>
</body>
</html> 
<?
	// Cette fois-ci on vire vraiment
	// le resto
	elseif ($step == 'done'):
		
		// On vire le resto
		$rb	= new restoBd();
		$rb->DeleteResto($id, $base);

		// et le commentaire associ
		$cf	= new commentaireBd();
		$cf->DeleteCommentaireAssociatedToResto($id, $baseC);

		// Sur quelle page doit-on revenir ?
		header("Location: $retour");
?>
<html>
<head>
<title>
Suppression effectue
</title>
<?
	require "lib_misc.php3";
	echo StyleSheet('admin.css');
?>
</head>
<body>
<h1>C'est fait</h1>
Si vous n'avez pas t redirig automatiquement, cliquez
<?
	echo lien($retour, 'ici');	
?>
</body>
</html> 
<?
	endif;
?>
