<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	if (!isset($HEADER_LIB_MISC)):
		$HEADER_LIB_MISC=1;

	function StyleSheet($name)
	{
		return "<link rel=\"stylesheet\" href=\"$name\" type=\"text/css\">";
	}

	function lien($url, $libelle, $add="")
	{
		global $HOME_DIR;
		if ($url == 'sommaire') $url="$HOME_DIR";
		if ($add != "")	$add = " $add";
		return sprintf('<a href="%s"%s>%s</a>', $url, $add, $libelle);
	}

	function img($icone, $alt='', $misc='')
	{
		$url=$icone;
		if ((substr($icone, 0, 1) != '/') && (substr($icone, 0, 1) != '.'))
			$url="/icones/$icone";
		return sprintf('<img src="%s" border=0 alt="%s"%s>', $url, $alt,
			($misc != '') ? " $misc" : "");
	}

	function h1($texte)
	{ return "<h1>$texte</h1>"; }

	function h2($texte)
	{ return "<h2>$texte</h2>"; }

	function h3($texte)
	{ return "<h3>$texte</h3>"; }

	// Une fonction inverse de htmlspecialchars
	// i.e qui transforme &amp; en & par exemple...
	function striphtmlspecialchars($str)
	{
		$str = str_replace("&amp;", "&", $str);
		$str = str_replace("&lt;", "<", $str);
		$str = str_replace("&gt;", ">", $str);
		$str = str_replace("&quot;", "\"", $str);
			
		return $str;
	}

	// Une fonction qui crit le texte tel quel si != ''
	// crit information manquante en italique rouge sinon
	function infoForm($info, $check=true)
	{
		if (($info != "") || ($check == false))	return $info;
		return "<i><font color=\"red\">information manquante</font></i>";
	}

	// Fonction macro pour les image maps
	function area($goal, $coords, $shape='coords', $alt='')
	{
		return "<area shape=\"$shape\" coords=\"$coords\""
			 . " href=\"script_par_region.php3?region=$goal\" alt=\"$alt\">\n";
	}

	// Fonction de formatage de la date
	function dateToFr($date)
	{
		ereg("([0-9]+)-([0-9]+)-([0-9]+)", $date, $tab);
		return sprintf("le %02d/%02d/%04d", $tab[3], $tab[2], $tab[1]);
	}

	function dateTimeToFr($date)
	{
		ereg("([0-9]+)-([0-9]+)-([0-9]+) ([0-9]+):([0-9]+)", $date, $tab);
		return sprintf("le %02d/%02d/%04d  %02dh%02d", $tab[3], $tab[2], $tab[1], $tab[4], $tab[5]);
	}

	// Fonction de comparaison de date
	function is_new($date, $delay=10)
	{
		ereg("([0-9]+)-([0-9]+)-([0-9]+)", $date, $tab);
		$d1 = mktime(0, 0, 0, $tab[2], $tab[3], $tab[1]);
		$d2 = time();
		$diff = ($d2 - $d1) / (3600*24);
		return ($diff < $delay);
	}

	function calculerCouleur($nb, $total)
	{
		if ($total == 1)
				$deci	= 255;
		else	$deci	= 255 - $nb / ($total - 1) * 255;
		$hexa		= dechex($deci);
		$couleur	= sprintf("0000%s", $deci < 16 ? "0$hexa" : $hexa);
		return $couleur;
	}

	// Donne le nom de la page sans l'adresse Web complte
	function basepage($url)
	{
		$indexOblique = strrpos($url, '/');
		if ($indexOblique == false)
			return $url;
		return substr($url, $indexOblique+1, strlen($url));
	}

	// Calcul le nombre de page de rsultat
	// en fonction du nombre de rsultat total et par page
	function nb_pages($total, $par_page)
	{
		$nb = (int)($total / $par_page);
		if ($total % $par_page)	$nb++;
		return $nb;
	}

	// Lien sur une page
	function lien_page($self, $args, $page, $lien)
	{
		return "<a href=\"$self?$args&page=$page\">$lien</a>\n";
	}

	// La dernire sous-catgorie d'une catgorie complexe
	function last_categorie($cat)
	{
		$indice = strrpos($cat, "/");
		if ($indice == false)
			return $cat;
		return substr($cat, $indice+1);
	}

	endif;
?>
