<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<title>
Mmmm !!! les Mmmmeilleurs...
</title>
<?
	require "lib_misc.php3";
	echo	StyleSheet('../css/resto.css');
?>
</head>
<body>
<h1>Mmmm !!!<br>
Les <tt>Mmmm</tt>eilleurs</h1>
<h2>Comptition ?</h2>
Chaque resto ajout vaut 5 points, un commentaire sur un resto vaut 2 points.
Un lot avait t promis au premier arriv aux 100 points. Ce score a t 
dpass depuis longtemps... L'ide est toujours en l'air !
<br>
En cliquant sur le nom du gourmet, vous verrez la liste des restos qu'il
conseille, recommande et dconseille.
<h2>Le classement actuel</h2>
<?
	require "class_commentairebd.php3";

	$cf		= new commentaireBd();
	$list	= $cf->GetScores();

	// Pour chaque contributeur
	reset($list);
	while (list($k, $v) = each($list))
	{
		// Calcul du score
		$scores[$k] = $v['restos']*5 + $v['commentaires']*2;
	}

	// Tri en fonction de ce score
	arsort($scores);

	// On passe le tableau en revue une premire fois
	// pour connaitre le nombre de scores diffrents
	// et se construire une palette ad hoc
	$score		= 0;
	$nbscores	= 0;
	while (list($k, $v) = each($scores))
	{
		if ($v != $score)
		{ $nb_scores++; $score = $v; }
	}
	// Tableau avec les scores
?>
<center><table width=80% border=1 summary="Cette table indique le 
nombre de points accumuls par chaque personne ayant ajout un ou plusieurs
restos ou commentaires">
<tr>
<th id="t1">Nb de points</th>
<th id="t2">Nom du contributeur</th>
<?
	$score		= 0;
	$score_id	= -1;
	reset($scores);
	while (list($k, $v) = each($scores))
	{
		if ($v != $score)
		{
			$score_id++;
			if ($score)	echo "</td></tr>\n";
			$score=$v;
			$couleur	= calculerCouleur($score_id, $nb_scores);
			echo "<tr><td bgcolor=$couleur headers=\"t1\">",
				 "<font color=white face=bold>$v points</font></td>",
				 "<td headers=\"t2\">";
		}

		// Construction de la chaine  afficher
		$link_html	= sprintf("<a href=\"script_l_avis_de.php3?gourmet=%s\">$k</a>", urlencode($k));
		$str_html	= "<font size=+1><b>$link_html</b></font>\n(";
		$nb_restos	= $list[$k]['restos'];
		$nb_comms	= $list[$k]['commentaires'];

		if ($nb_restos)
		{
			$str_html .= "$nb_restos resto";
			if ($nb_restos > 1) $str_html .= "s";
		}
		if ($nb_comms)
		{
			if ($nb_restos)	$str_html .= ", ";
			$str_html .= "$nb_comms commentaire";
			if ($nb_comms > 1)	$str_html .= "s";
		}
		$str_html .= ")<br>\n";

		echo "$str_html";
	}


	echo "</td></tr>\n";
	echo "</table></center>\n";
	echo "<br><br>\n";
	echo lien('sommaire', 'Retour au sommaire');
?>
<? include 'footer.php3'; ?>
</body>
</html>

