<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<? 
	require "lib_misc.php3";
	if (isset($admin))
			echo StyleSheet('../css/admin.css');
	else	echo StyleSheet('../css/resto.css');
?>
<title>
Mmmm !!! Rsultat de la recherche !
</title>
</head>
<body>
<h1>Mmmm !!!<br>
rsultat de la recherche !</h1>

<?
	// Pas de critre de recherche
	// ou pas de valeur
	if (	(($critere_par_nom) && ($nom == ""))
		||	(($critere_par_gourmet) && ($gourmet == ""))
		||	(($critere_par_date) && ($dateDebut == "") && ($dateFin == ""))
		||	(($critere_par_mot_du_commentaire) && ($mot == ""))
		||	(($critere_par_multi) && ($isGenre == "") && ($isRegion == "")
			&& ($isTaille == "") && ($isAmbiance == "") && ($isPrix == ""))
		||	((!$critere_par_nom) && (!$critere_par_gourmet)
			&& (!$critere_par_date) && (!$critere_par_mot_du_commentaire)
			&& (!$critere_par_multi))	
		):
?>
<h2>Erreur...</h2>
N'auriez-vous pas oubli de remplir le(s) case(s) avant d'appuyer sur le bouton
'Rechercher' ?
Je crois bien que oui (sans toutefois trop vouloir m'avancer...)<br>
Toujours
est-il que sans infos m&ecirc;me le meilleur moteur de recherche du monde (et
on en est encore loin...) ne peut donner que ce qu'il a, c'est  dire RIEN!
<br>
<?
	echo lien('script_search_resto.php3', "Recommencer");
	echo lien('sommaire', "Retour au sommaire");
?>
</body>
</html>
<?
	// Critre valide
	else:

		// handler de fichier resto
		require "class_resto.php3";
		require "class_restobd.php3";
		$rb	= new restoBd();

		if ($critere_par_nom)
		{
			echo "<h2>Recherche sur le nom du resto (<i>$nom</i>)</h2>\n";
			$nb_restos = $rb->SearchRestos('par_nom', $nom);
		}
		elseif ($critere_par_gourmet)
		{
			echo "<h2>Recherche sur le nom du gourmet (<i>$gourmet</i>)</h2>\n";
			$nb_restos = $rb->SearchRestos('par_gourmet', $gourmet);
		}
		elseif ($critere_par_date)
		{
			if ($dateDebut == "")
			{	$dateDebut = $dateFin;	$dateFin = ""; }
			if (!ereg("(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[0-2])/([0-9]{4})", $dateDebut, $tab))
			{
				echo "<h2>Recherche par date</h2>\n";
				echo "Date invalide : '$dateDebut'<br>\n";
				$nb_restos = 0;
				$ok = 0;
			}
			else $date_rech1 = sprintf("%s-%s-%s", $tab[3], $tab[2], $tab[1]);
			if ($dateFin != "" && !ereg("(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[0-2])/([0-9]{4})", $dateFin, $tab))
			{
				echo "<h2>Recherche par date</h2>\n";
				echo "Date invalide : '$dateFin'<br>\n";
				$nb_restos = 0;
				$ok = 0;
			}
			else $date_rech2 = sprintf("%s-%s-%s", $tab[3], $tab[2], $tab[1]);
			if ($ok)
			{
				if ($dateFin == "")
				{
					echo "<h2>Recherche par date (depuis le <i>$dateDebut</i>)</h2>\n";
					$nb_restos = $rb->SearchRestos('par_date_debut', $date_rech1);
				}
				else
				{
					echo "<h2>Recherche par date (entre le <i>$dateDebut</i> et le <i>$dateFin</i>)</h2>\n";
					$nb_restos = $rb->SearchRestos('par_periode', $date_rech1, $date_rech2);
				}
			}
		}
			elseif ($critere_par_mot_du_commentaire)
			{
				echo "<h2>Recherche sur un mot du commentaire (<i>$mot</i>)</h2>\n";
			$nb_restos = $rb->SearchRestos('par_mot_du_commentaire', $mot);
		}
		elseif ($critere_par_multi)
		{
			echo "<h2>Recherche multi-critres</h2>\n";
			echo "(<i>";
			$crit = 0;
			if (($isGenre != "") && ($genre != ""))
			{
				echo "genre = \"$genre\"";
				$crit++;
			} else $genre=-1;
			if (($isRegion != "") && (count($region) != 0))
			{
				echo "dans ", $libelleArrdt[$region[0]];
				for ($i=1; $i<count($region); $i++)
					echo " ou ", $libelleArrdt[$region[$i]];
				$crit++;
			} else $region=-1;
			if ($isTaille != "")
			{
				if ($crit)	echo ", ";
				echo "taille du resto : $tailleResto[$taille]";
				$crit++;
			} else $taille=-1;
			if ($isAmbiance != "")
			{
				if ($crit)	echo ", ";
				echo "ambiance sonore : $ambianceResto[$ambiance]";
				$crit++;
			} else $ambiance=-1;
			if ($isPrix != "")
			{
				if ($crit)	echo ", ";
				echo "fourchette de prix : $prixResto[$prix]";
				$crit++;
			} else $prix=-1;
			echo "</i>)<br>\n";
			$nb_restos = $rb->SearchRestos('par_multi', $region, $taille, $ambiance, $prix, $genre);
		}

		if ($nb_restos == 0)
		{
			echo "Dsol. Aucun resto trouv...<br>\n";
		}
		// Un resto trouv, on y va directement...
		/*
		else if ($nb_restos == 1)
		{
			Un trouv !!!
		}
		*/
		else
		{
			if (!isset($page))
				$page = 1;

			// Calcul du resto que l'on commence  afficher
			$decalage = ($page - 1) * $nb_result_par_page;

			// Rsultats sur les pages
			echo "$nb_restos resto(s) trouv(s)<br>\n";
			printf("Resto %s - %s<br>\n",
				$decalage + 1,
				min($decalage + $nb_result_par_page, $nb_restos));

			// dcalage dans la lecture du rsultat
			$rb->shiftResult($decalage);	

			echo "<ul>\n";

			// Nb de restos sur la page
			$nb_restos_page = min($nb_restos - $decalage, $nb_result_par_page);

			// Lecture des restos un par un
			$rb->PrintRestos($nb_restos_page);
			echo "</ul>\n";
		}

		// Nb total de pages
		$total = nb_pages($nb_restos, $nb_result_par_page);

		// Encodage des paramtres de l'URL
		$args = ereg_replace("&page=[0-9][0-9]*", "", $QUERY_STRING);

		// Lien vers les pages prcdentes et suivantes
		echo "</ul><br> ";
		if ($nb_restos > $nb_result_par_page)
		{
			$self = basepage($PHP_SELF);
			if ($page != 1)
				echo "[ ", lien_page($self, $args, $page-1, "&lt;"), " ]\n";
			for ($i=1; $i<=$total; $i++)
			{
					echo "[ ";
					if ($i == $page)
						echo "$page";
				else	echo lien_page($self, $args, $i, $i);
				echo " ]\n";
			}
			if ($page != $total)
				echo " [ ", lien_page($self, $args, $page+1, "&gt;"), " ] ";
		}

		// Liens
		echo "<br><br>[ ",
			 lien('script_search_resto.php3', 'Nouvelle recherche'),
		" ]\n[ ",
		lien('sommaire', 'Retour au sommaire'),
		" ]";
?>
<?
	endif;
?>
<? include 'footer.php3'; ?>
</body>
</html>
