<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<html>
<head>
<? 
	require "lib_misc.php3";
	echo StyleSheet('../css/resto.css');
?>
<title>
Mmmm !!! un nouveau resto !
</title>
</head>
<body>
<h1>Mmmm !!!<br>
Un nouveau resto !</h1>
<?
	require "class_resto.php3";
	require "class_commentaire.php3";

	// constitution des objets restos et commentaires
	// d'aprs les infos vrifies de l'tape prcdente
	$resto	= new Resto();
	$comm	= new Commentaire();

	// Si c'est la premire tape 
	// de vrification du formulaire...
	if ($step == 'first')
	{
		echo "<h2>Remarques</h2>\n";
		// Si les champs principaux sont renseigns
		if (($resto->infosOk()) && ($comm->infosOk()))
		{
			// Si pas d'erreur
			echo "Merci d'avoir rempli consciencieusement ce formulaire<br>\n";

			// Intitul des boutons de formulaires
			$submit1	= "Envoyer !";
			$submit2	= "Faire une modification";

			// On teste les warnings
			if ((is_array($resto->warnings())) || (is_array($comm->warnings())))
			{
				echo "Malgr votre vigilance de tous les instants, quelques\n";
				echo "informations sont passes  la trappe...<br>\n";
				echo "Entre autres :<br>\n";
				echo "<ul>\n";
				
				// warnings dus au resto
				if (is_array($resto->warnings()))
				{
					$warns = $resto->warnings();
					for ($i=0; $i<count($warns); $i++)
						echo "<li>", $warns[$i], "\n";
				}
				// et dus au commentaire
				if (is_array($comm->warnings()))
				{
					$warns = $comm->warnings();
					for ($i=0; $i<count($warns); $i++)
						echo "<li>", $warns[$i], "\n";
				}

				echo "</ul>\n";
				echo "Elles ne sont pas indispensables mais si c'est un oubli,\n";
				echo "n'hsitez pas  complter le formulaire et  le\n";
				echo "renvoyer, merci.<br>\n";
				echo "Vous pourrez aussi par la suite nous les envoyer par\n";
				echo "mail  <tt>mmmm@free.fr</tt>\n";

				$submit1	= "Envoyer tout de m&ecirc;me";
				$submit2	= "Complter les infos manquantes";
			}

			// Affichage du resto propos
			echo "<h2>Votre resto</h2>\n";
			$resto->printDetail();

			// Et des infos de l'expditeur
			echo "<h2>Et vous</h2>\n";
			$comm->printDetail();

			// Envoyer tel quel
			echo "<table border=0><tr><td>";
			echo "<form action=\"script_check_resto.php3\" method=\"post\">\n";
			echo $resto->hidden() . $comm->hidden();
			echo "<input type=hidden name=step value=done>\n";
			echo "<input type=submit value=\"$submit1\">\n";
			echo "</form>\n";

			// Modifier les infos
			echo "</td><td>";
			echo "<form action=\"script_add_resto.php3\" method=\"post\">\n";
			echo $resto->hidden() . $comm->hidden();
			echo "<input type=submit value=\"$submit2\">\n";
			echo "</form>\n";
			echo "</td></tr></table>\n";

			// Retour au sommaire
			echo lien('sommaire', 'Retour au sommaire');
		}
		// Il y a des erreurs
		else
		{
			// Rcupration des erreurs

			echo "Dans votre empressement  nous faire connaitre ce nouveau\n";
			echo "resto, vous en avez oubli des informations importantes.<br>\n";
			echo "Et plus prcisment :<br>\n";
			echo "<ul>\n";

			// Erreurs dues au resto
			if ($resto->infosOk() == false)
			{
				$errs = $resto->errors();
				for ($i=0; $i<count($errs); $i++)
					echo "<li>", $errs[$i], "\n";
			}

			// Erreurs dues au commentaire
			if ($comm->infosOk() == false)
			{
				$errs = $comm->errors();
				for ($i=0; $i<count($errs); $i++)
					echo "<li>", $errs[$i], "\n";
			}
			echo "</ul>\n";

			// Affichage du resto propos
			echo "<h2>Votre resto</h2>\n";
			$resto->printDetail();

			// Et des infos de l'expditeur
			echo "<h2>Et vous</h2>\n";
			$comm->printDetail();

			// Modifier les infos
			echo "<form action=\"script_add_resto.php3\" method=\"post\">\n";
			echo "<input type=hidden name=\"step\" value=\"add\">\n";
			echo $resto->hidden();
			echo $comm->hidden();
			echo "<input type=submit value=\"Complter les infos manquantes\">\n";
			echo "</form>\n";

			// Retour au sommaire
			echo lien('sommaire', 'Retour au sommaire');
		}

	}
	// Si on vient d'ajouter un resto...
	elseif ($step == 'done')
	{
		require "class_restobd.php3";
		require "class_commentairebd.php3";
		require "class_HTMLelts.php3";

		// Ajout dans le resto de la date et l'heure du jour
		$resto->set('date_entree', date("YmdHis"));
		$comm->set('date_entree', date("YmdHis"));

		// Utilisation de la base de donnes
		$rb		= new restoBd();
		$cb		= new commentaireBd();

		$r_id	= $rb->AddResto($resto->data(), 'temp');
		$comm->set('resto_id', $r_id);
		$cb->AddCommentaire($comm->data(), 'tempA');

		// Merci...
		echo "<h2>Merci ", $comm->get("pseudo"), "!</h2>\n";

		// Affiche une info disant que le resto a bien t ajout...
		echo "Le resto <b>", $resto->get("nom"), "</b> a bien t ajout dans la \n";
		echo "base de <tt>Mmmm !!!</tt>. Il sera bient&ocirc;t disponible aux\n";
		echo "autres internautes.<br>\n";
		if ($comm->get("e_mail") != "")
		{
			echo "Nous vous enverrons d'ailleurs un e-mail ds que le resto\n";
			echo "sera en ligne. Merci et  bient&ocirc;t !<br>\n";
		}
		else
		{
			echo "Consultez rgulirement <tt>Mmmm !!!</tt> pour vrifier\n";
			echo "l'arrive de votre resto. La prochaine fois, laissez votre\n";
			echo "adresse e-mail si vous voulez &ecirc;tre prvenus.<br>\n";
		}

		// Retour au sommaire
		echo lien('sommaire', 'retour au sommaire');

		// Ou ajout d'un nouveau resto
		// on conserve les infos de noms, e-mail et priv
		echo "<form action=\"script_add_resto.php3\" method=\"post\">\n";
		echo "<input type=hidden name=dejavu value=1>\n";
		$Hpse	= new HTMLelt('pseudo');	echo $Hpse->hidden();
		$Hema	= new HTMLelt('e_mail');	echo $Hema->hidden();
		$Hpri	= new HTMLelt('prive');		echo $Hpri->hidden();
		echo "<input type=submit value=\"Ajouter un nouveau resto\">\n";
		echo "</form>\n";
	}


?>
<? include 'footer.php3'; ?>
</body>
</html> 
