<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();
?>
<?
	require "class_resto.php3";
	require "class_restobd.php3";

	// Rcupration des infos du resto
	$rb		= new restoBd();
	$r_info	= $rb->GetRestoById($id);
	$resto	= new Resto($r_info);
?>
<html>
<head>
<title>
<?
	echo "Mmmm !!! : ", $resto->get("nom"), "\n";
?>
</title>
<? 
	require "lib_misc.php3";
	if (!isset($admin))
			echo StyleSheet('../css/resto.css');
	else	echo StyleSheet('../css/admin.css');
?>
</head>
<body>
<?
	// Titre
	$icones = array(0 => "chef1.png", 1 => "chef2.png", 2 => "chef3.png", 3 => "chef4.png");
	srand((double)microtime()*1000000);
	$icone = "/icones/" . $icones[rand(0, 3)];
	$img  = "<img src=\"$icone\" alt=\"Image de cuisinier pour dcorer\">";
	echo "<table border=0 width=100%><tr><td align=\"left\">$img</td>";
	echo "<td align=center><font size=+5>Mmmm !!!<br>\n", $resto->get('nom'), "</font></td>";
	echo "<td align=\"right\">$img</td></tr></table>\n";
?>
<table border=0 width=100%>
<tr><td>
<h2>O ?</h2>
<?
	require "const_resto.php3";

	// Une adresse sur iTi ?
	$adresse_iti="";
	if ($resto->get('iti'))
	{
		$adresse_iti = " " . lien($resto->get('iti'), img("iti.gif", "Plan sur iTi"));
	}

	// Localisation
	printf("<table border=0><tr valign=\"bottom\"><td>%s</td><td>%s / %s %s%s",
			img("adresse.png", "Adresse"), $resto->get("adresse"),
			$resto->get("ville"),
			$resto->get("region") == 26 ? "(" . $resto->get('pays') . ")" : "",
			$adresse_iti);
	// Maporama !!!
	if ($resto->get('pays') == 'France'):
		$CP = "";
		$ville = $resto->get('ville');
		if (preg_match('/(\d{5}) (.*)/', $resto->get('ville'), $matches))
		{
			$CP	= $matches[1];
			$ville = $matches[2];
		}
		$args = "_XgoGCAdrCommand=run&_XgoGCAddress=" . urlencode($resto->get('adresse'));
		if ($CP != '')
			$args .= "&zip=" . urlencode($CP);
		$args .= "&_XgoGCTownName=" . urlencode($ville);
		$args .= "&COUNTRYCODE=FR";
?>
<a href="http://www.maporama.com/share/Map.asp?<? echo $args; ?>"
target="_blank"><img src="/icones/go.gif" alt="Afficher la carte"
border="0" width="22" height="22" align="bottom"></a>
<img src="/icones/poweredby.jpg" width="88" height="31" align="bottom">
<?
	endif;
?>
</td></tr>
<?

	if ($resto->get("metro"))
	{
		printf("<tr><td>%s</td><td>%s</td></tr>",
			img("metro.png", "Mtro"), $resto->get("metro"));
	}
	if ($resto->get("telephone"))
	{
		printf("<tr><td>%s</td><td>%s</td></tr>",
			img("tel.png", "Tl."), $resto->get("telephone"));
	}
	if ($resto->get("horaires"))
	{
		printf("<tr><td>%s</td><td>%s</td></tr>",
			img("horaires.png", "Horaires"), $resto->get("horaires"));
	}
	echo "</table>\n";

	$link = sprintf("script_download_palm.php3?resto_id=%s&nom_resto=%s",
				$id, urlencode($resto->get('nom')));
?>
<small><a href="<? echo $link; ?>">Tlcharger les infos au format Palm</a>
<i>(<a href="../palm">en savoir plus</a>)</i></small>
<h2>Comment ?</h2>
<?
	echo "<table border=0>\n";
	printf ("<tr><td>%s</td><td>%s</td></tr>\n",
		img("specialite.png", "Catgorie"),
		lien("script_categories.php3?categorie=" . urlencode($resto->get('genre')),
		last_categorie($resto->get("genre"))));
	printf ("<tr><td>%s</td><td>%s</td></tr>\n",
		img("taille.png", "Taille"), $tailleResto[$resto->get("taille")]);
	printf ("<tr><td>%s</td><td>Ambiance %s</td></tr>\n",
		img("volume.png", "Ambiance sonore"), $ambianceResto[$resto->get("ambiance")]);
	printf ("<tr><td>%s</td><td>%s</td></tr>\n",
		img("prix.png", "Prix"), $prixResto[$resto->get("prix")]);
	echo "</table>";
?>
</td>
<td align="center">
<?
	if ($resto->get('image') != "")
	{
		$image = sprintf("<img src=\"%s\" alt=\"carte du resto\">\n",
					'/cartes/' . substr($resto->get('image'), 0, 1)
					. "/" . $resto->get('image'));
	}
	else
	{
		echo "<small>Pas d'image,<br>vous pouvez nous en<br>";	
		echo "[ <a href=\"mailto:mmmm@free.fr\">envoyer une</a> ]<br>";	
		echo "au format jpg</small>";	
		/*
		$image = sprintf("<img src=\"%s\" alt=\"pas de carte disponible\" border=1>\n",
					'/cartes/pas_de_carte.gif');
		*/
	}

	echo $image;
?>
</td></tr>
</table>
<h2>Qu'en pensez-vous ?</h2>
<?
	require "class_commentaire.php3";
	require "class_commentairebd.php3";

	// Cration d'un objet commentaireFichier
	$cb	= new commentaireBd();
	$nb	= $cb->GetCommentairesSurResto($id, 'prod');

	if ($nb)
	{
		// Pour tous les commentaires
		for ($i=0; $i<$nb; $i++)
		{
			// rcupration du commentaire
			$comm	= $cb->GetCommentaireResult();
			$o_comm	= new Commentaire($comm);

			// Affichage
			if ($i) echo "<center><hr width=50%></center>\n";
			$o_comm->printDetail();

			if (isset($admin))
				printf(" <a href=\"%s?id=%s&base=prod&retour=%s\">%s</a>\n",
						"../admin/scripts/script_del_comment.php3",
						$o_comm->get('id'),
						urlencode("$HOME_DIR/script_detail_resto.php3"),
						img("/admin/icones/del.png", "Supprimer le commentaire"));
			echo "<br>\n";
		}
	}
	else
	{
		echo "Rien pour l'instant\n";
	}
?>
<br>
<br>
<br>
<center>
<?
	echo "[ ",
		 lien("script_add_comment.php3?id=$id", 'Ajouter un commentaire'),
		 " ]\n[ ",
		 lien('sommaire', 'Revenir au sommaire'),
		 " ]\n[ ",
		 lien("script_par_region.php3?region=" . $resto->get('region'), 
			'les autres restos du secteur'),
		 " ]";

?>
</center>
<? include 'footer.php3'; ?>
</body>
</html> 
