<?
/* Mmmm !!! A database-driven website with HTML/php3/mySQL
 * (C) Copyright Pierre Dittgen	1999-2000
 * Pierre.Dittgen@bigfoot.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public Licences as by published
 * by the Free Software Foundation; either version 2; or (at your option)
 * any later version
 *                         
 * This program is distributed in the hope that it will entertaining,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       
 * MERCHANTABILTY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.   
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

	include 'cfg/setenv.php3';
	require "class_bd.php3";
	AssertBd();

	require "class_resto.php3";
	require "class_restobd.php3";
	require "const_resto.php3";

	// Rcupration des infos du resto
	$rb		= new restoBd();
	$r_info	= $rb->GetRestoById($id);
	$resto	= new Resto($r_info);
	
	header("Content-type: text/plain");
	printf("%s\n\n", $resto->get('nom'));

	// Localisation
	printf("%s\n%s%s\n",
			$resto->get("adresse"),
			$resto->get("ville"),
			$resto->get("region") == 26 ? "(" . $resto->get('pays') . ")" : "");

	if ($resto->get("metro"))
		printf("Mtro : %s\n", $resto->get("metro"));
	if ($resto->get("telephone"))
		printf("Tl. : %s\n", $resto->get("telephone"));
	if ($resto->get("horaires"))
		printf("Horaires : %s\n", $resto->get("horaires"));
	printf("\n");
 
	printf("Genre : %s\n", last_categorie($resto->get("genre")));
	printf("Taille : %s\n", $tailleResto[$resto->get("taille")]);
	printf("Ambiance : %s\n", $ambianceResto[$resto->get("ambiance")]);
	printf("Prix : %s\n", $prixResto[$resto->get("prix")]);
	printf("\n");

	require "class_commentaire.php3";
	require "class_commentairebd.php3";

	// Cration d'un objet commentaireFichier
	$cb	= new commentaireBd();
	$nb	= $cb->GetCommentairesSurResto($id, 'prod');

	if ($nb)
	{
		// Pour tous les commentaires
		for ($i=0; $i<$nb; $i++)
		{
			// rcupration du commentaire
			$comm	= $cb->GetCommentaireResult();
			$o_comm	= new Commentaire($comm);

			// 
			printf("%s\n%s (%s)\n\n",
				$o_comm->get("commentaire"),
				$o_comm->get("pseudo"),
				dateToFr($o_comm->get("date_entree"))
				);
		}
	}

	echo "Mmmmm !!!\n(http://mmmm.free.fr)\nLe site des restos not par les internautes";
?>
